Bug 15181 - Rename fast add framework sql file
Summary: Rename fast add framework sql file
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-12 16:17 UTC by Bernardo Gonzalez Kriegel
Modified: 2016-06-21 21:39 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15181: Rename marc21 fast add framework sql file (7.92 KB, patch)
2015-11-12 16:45 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGN_OFF]Rename marc21 fast add framework sql files (152.26 KB, patch)
2015-11-12 17:18 UTC, Zeno Tajoli
Details | Diff | Splinter Review
[SIGN_OFF] Remove MARC21 fast add framewors (170.52 KB, patch)
2015-11-13 12:21 UTC, Zeno Tajoli
Details | Diff | Splinter Review
[PASSED QA] Bug 15181: Rename marc21 fast add framework sql file (9.98 KB, patch)
2015-11-15 21:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2015-11-12 16:17:36 UTC
Testing install (en,it,es) results in FastAdd framework empty!
New version of this file depends on loading default framework first,
but currently it's loaded before default.
SQL files are loaded in alphabetical order (without path) as stated on load_sql_in_order sub in C4/Installer.pm

mysql/en/marcflavour/marc21/optional/marc21_fastadd_framework.sql
mysql/en/marcflavour/marc21/mandatory/marc21_framework_DEFAULT.sql

A name change is needed.
Comment 1 Zeno Tajoli 2015-11-12 16:31:35 UTC
Probably it is enough chage 
mysql/en/marcflavour/marc21/optional/marc21_fastadd_framework.sql
into
mysql/en/marcflavour/marc21/optional/marc21_framework_fastadd.sql
Comment 2 Bernardo Gonzalez Kriegel 2015-11-12 16:45:22 UTC Comment hidden (obsolete)
Comment 3 Bernardo Gonzalez Kriegel 2015-11-12 16:46:47 UTC
Proposed patch
Comment 4 Zeno Tajoli 2015-11-12 17:18:09 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-11-13 00:21:41 UTC
Hm, patch doesn't apply for me, am I missing a dependency?

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 15181: Rename marc21 fast add framework sql file
fatal: sha1 information is lacking or useless (installer/data/mysql/it-IT/marcflavour/marc21/optional/marc21_fastadd_framework.sql).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Comment 6 Zeno Tajoli 2015-11-13 12:21:34 UTC Comment hidden (obsolete)
Comment 7 Zeno Tajoli 2015-11-13 12:23:26 UTC
Probably in my sign-off I have done something work.
In fact the patch does only a massive rename but, as I see on Google, it is prone-error operation.
Comment 8 Zeno Tajoli 2015-11-13 12:24:40 UTC
Probably in my previous sign-off I have done something WRONG.
Comment 9 Katrin Fischer 2015-11-15 21:57:52 UTC
Created attachment 44867 [details] [review]
[PASSED QA] Bug 15181: Rename marc21 fast add framework sql file

This patch simply renames fast add sql file in order
to load this file before default framework.

To test:
1) Do a marc21 install (de,en,es,it)
load all sample files
check Fast Add framework is empty (no fields/subfields)

2) Apply the patch

3) Do an install again, this time FastAdd must have values.

Signed-off-by: Zeno Tajoli <z.tajoli@cineca.it>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Tomás Cohen Arazi 2015-11-16 15:55:16 UTC
Patch pushed to master.

Thanks Bernardo!